#define D3DD_16 1
#define D3DD_24 2
#define D3DD_32 4

#define DEVICE_HAL 0
#define DEVICE_REF 1

typedef struct {
  DWORD width;
  DWORD height;
  DWORD depth;
  D3DFORMAT format;
} DisplayMode;

typedef struct {
  int id;
  char name[256];
} DeviceInfo;

typedef struct {
  DisplayMode dmodes[256];
  int dmode_count;
  char name[256];
  char desc[256];
  DeviceInfo device_list[2];
  int device_dmodes[2][256];
} AdapterInfo;

extern AdapterInfo adapter_list[10];
extern int adapter_count;

void d3dconfigbox (void);

